%bcond_without check

%global goipath         github.com/gofrs/uuid
Version:                4.0.0

%gometa

%global common_description %{expand:
Package uuid provides a pure Go implementation of Universally Unique Identifiers
(UUID) variant as defined in RFC-4122. This package supports both the creation
and parsing of UUIDs in different formats.

This package supports the following UUID versions:
 - Version 1, based on timestamp and MAC address (RFC-4122)
 - Version 2, based on timestamp, MAC address and POSIX UID/GID (DCE 1.1)
 - Version 3, based on MD5 hashing of a named value (RFC-4122)
 - Version 4, based on random numbers (RFC-4122)
 - Version 5, based on SHA-1 hashing of a named value (RFC-4122)
}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Pure Go implementation of Universally Unique Identifiers (UUID)

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 4.0.0-2
- Rebuilt for loongarch64

* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
